%define upstream_name    MooseX-App
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Meta class role for command classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
MooseX-App is a highly customisable helper to write user-friendly command
line applications without having to worry about most of the annoying things
usually involved. Just take any existing the Moose manpage class, add a
single line ('use MooseX-App qw(PluginA PluginB ...);') and create one
class for each command in an underlying namespace. Options and positional
parameters can be defined as simple the Moose manpage accessors.

MooseX-App will then

* * Find, load and initialise the command classes (see the
  MooseX-App-Simple manpage
  for single command applications)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENCE META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.350.0-3pclos2017
- rebuild against updates

